				<aside class="sidebar bigSidebar span3">
               
                        
               <?php if ( function_exists('dynamic_sidebar')) {
	
				global $post;
				global $woocommerce; 
			
				$posttype = get_post_type($post);
				
			
				if( (is_single()) ) {
					dynamic_sidebar('Single Sidebar');
					
				}
				
				if( (is_archive()) ) {
					dynamic_sidebar('Archive Sidebar');
					
				}
				if( (is_home()) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_search()) ) {
					dynamic_sidebar('Search Sidebar');
					
				}
				if( (is_page()) ) {
					
				if( (is_page_template('template-home1.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_page_template('template-home2.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_page_template('template-home3.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_page_template('template-home4.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_page_template('template-home5.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				}
				if( (is_page_template('template-home6.php')) ) {
					dynamic_sidebar('Main Sidebar');
					
				} 
				}	
				
				elseif($woocommerce && is_shop() || $woocommerce && is_product_category() || $woocommerce && is_product_tag() || $woocommerce && is_product()){
					dynamic_sidebar('WooCommerce Sidebar');
				}
				else {
					
				}
				
			} ?>
                </aside><!--End Sidebar-->